For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
      • GETGet Template
      • GETList Templates
      • POSTCreate Template
      • POSTCreate Embedded Template Draft
      • POSTDelete Template
      • GETGet Template Files
      • GETGet Template Files as Data Uri
      • GETGet Template Files as File Url
      • POSTUpdate Template Files
      • POSTAdd User to Template
      • POSTRemove User from Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceTemplate

Update Template Files

||View as Markdown|
POST
https://api.hellosign.com/v3/template/update_files/:template_id
POST
/v3/template/update_files/:template_id
$curl -X POST 'https://api.hellosign.com/v3/template/update_files/{template_id}' \
> -u 'YOUR_API_KEY:' \
> -F 'files[0]=@mutual-NDA-example.pdf' \
1{
2 "template": {
3 "template_id": "f57db65d3f933122019888057a36176831451a35"
4 }
5}
Overlays a new file with the overlay of an existing template. The new file(s) must: 1. have the same or higher page count 2. the same orientation as the file(s) being replaced. This will not overwrite or in any way affect the existing template. Both the existing template and new template will be available for use after executing this endpoint. Also note that this will decrement your template quota. Overlaying new files is asynchronous and a successful call to this endpoint will return 200 OK response if the request passes initial validation checks. It is recommended that a callback be implemented to listen for the callback event. A `template_created` event will be sent when the files are updated or a `template_error` event will be sent if there was a problem while updating the files. If a callback handler has been configured and the event has not been received within 60 minutes of making the call, check the status of the request in the API dashboard and retry the request if necessary. If the page orientation or page count is different from the original template document, we will notify you with a `template_error` [callback event](https://app.hellosign.com/api/eventsAndCallbacksWalkthrough).
Was this page helpful?
Previous

Get Template Files as File Url

Next

Add User to Template

Built with

Overlays a new file with the overlay of an existing template. The new file(s) must:

  1. have the same or higher page count
  2. the same orientation as the file(s) being replaced.

This will not overwrite or in any way affect the existing template. Both the existing template and new template will be available for use after executing this endpoint. Also note that this will decrement your template quota.

Overlaying new files is asynchronous and a successful call to this endpoint will return 200 OK response if the request passes initial validation checks.

It is recommended that a callback be implemented to listen for the callback event. A template_created event will be sent when the files are updated or a template_error event will be sent if there was a problem while updating the files. If a callback handler has been configured and the event has not been received within 60 minutes of making the call, check the status of the request in the API dashboard and retry the request if necessary.

If the page orientation or page count is different from the original template document, we will notify you with a template_error callback event.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired
The ID of the template whose files to update.

Request

This endpoint expects an object.
client_idstringOptional
Client id of the app you're using to update this template.
fileslist of stringsOptional

Use files[] to indicate the uploaded file(s) to use for the template.

This endpoint requires either files or file_urls[], but not both.

file_urlslist of stringsOptional

Use file_urls[] to have Dropbox Sign download the file(s) to use for the template.

This endpoint requires either files or file_urls[], but not both.

messagestringOptional<=5000 characters
The new default template email message.
subjectstringOptional<=100 characters
The new default template email subject.
test_modebooleanOptionalDefaults to false

Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
templateobject
Contains template id

Errors

4XX
Client Request Error